using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Sun : MonoBehaviour {
	public static bool isHandOnFire;
	// Use this for initialization
	void Start () {
		
	}
	bool hovering;
	public void OnTriggerPress(){
		if(!hovering) return;

		isHandOnFire = true;
		ParticleSystem[] temp = Valve.VR.InteractionSystem.InteractableButtonEvents.lastHandUsed.GetComponentsInChildren<ParticleSystem>();
		for (int i = 0; i < temp.Length; i++)
		{
			if(temp[i]!=null) temp[i].Play();
		}
	}
	public void onHoverOn(){
		hovering = true;
	}
	public void onHoverOff(){
		hovering = false;
	}
}
